Subject: [c.] Re: New development for emacs's octave-mode
From: Leo Liu <[email-masked]>
To: [email-masked]
Date: Fri, 07 Jun 2013 20:23:45 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Subject: Re: New development for emacs's octave-mode
From: "c." <[email-masked]>
To: Leo Liu <[email-masked]>
Cc: "help\@octave.org List" <[email-masked]>
Date: Fri, 7 Jun 2013 13:15:24 +0200

On 5 Jun 2013, at 20:05, c. <[email-masked]> wrote:

> 
> On 5 Jun 2013, at 19:22, c. <[email-masked]> wrote:
> 
>> 
>> On 5 Jun 2013, at 18:17, Leo Liu <[email-masked]> wrote:
>> 
>>> These were added a few weeks ago.
>> oh, then maybe my octave.el is outdated, I'll get a new version.
>> Thanks!
>> c.
> 
> Indeed, with the latest version classdef keywords are highlighted.
> c.

Hi,

I just noticed a strange behaviour editing a function file with a default parameter:

I have a function with the following signature:

   function disordine_quad_fast_neumann (csvfilename, nprocs=1, range = [])

in a file with the same name whenever I try to save the file I am asked 'which name to use':

  a) use function name '1'
  b) use file name 'disordine_quad_fast_neumann'
  q) Don't fix

It seems the default parameter value is being mistaken for the function name.

c.